package cn.iocoder.yudao.module.system.service.nursing;

import cn.iocoder.yudao.module.system.dal.dataobject.biz.NursingCategoryDO;

import java.util.List;

public interface NursingCategoryService {

    void add(NursingCategoryDO category);

    void edit(NursingCategoryDO category);

    NursingCategoryDO getDetailById(Long id);

    void delete(Long id);

    List<NursingCategoryDO> getTree(Long[] tenantId, Integer orgType);

    List<Long> getIdListByParent(Long id);
}
